##### redis
spring.redis.host = 10.53.4.17
spring.redis.port = 6382
spring.redis.password = LvA6SmLAitP2kG
spring.redis.pool.max-active = 100
jasypt.encryptor.bean = jasyptStringEncryptorFreemud
#####  eureka
###eureka.instance.preferIpAddress = true
eureka.instance.prefer-ip-address = true
eureka.instance.instance-id = ${spring.cloud.client.ip-address}:${server.port}
eureka.client.serviceUrl.defaultZone = http://freemud:freemud123@open-store-eureka-1-koderover-dev-open-store.api-ingress.sandload.cn/eureka
eureka.client.fetch-registry = true
eureka.client.register-with-eureka = true
eureka.instance.leaseRenewalIntervalInSeconds = 2
eureka.instance.leaseExpirationDurationInSeconds = 6
##### logback
logging.config = classpath:logback.xml
##### rbmq
#spring.rabbitmq.host = 10.53.4.17
spring.rabbitmq.host = 10.53.4.17
spring.rabbitmq.port = 5672
spring.rabbitmq.virtual-host = vhost-openstore-test
spring.rabbitmq.username = freemudopenstore
spring.rabbitmq.password = tPnpp73q8ITHBPqxx0fd
spring.rabbitmq.publisher-confirms = true
spring.rabbitmq.dynamic = true
spring.rabbitmq.cache.connection.mode = channel
program.backorders_notify_activity_queue = program.backorders_notify_activity_queue
program.backorders_change_order_status_consumer_queue = program.backorders_change_order_status_consumer_queue
program.backorders_notify_activity_exchange = program.backorders_notify_activity_exchange
link_log_queue = ha.link_log_queue
link_log_exchange = ha.link_log_exchange
mq.queue.cloud_print_queue = ha.cloud_print_queue
mq.cloud_print_exchange = saas_cloud_print_exchange
# db info
db.url = jdbc:mysql:replication://212.64.97.216:6630,212.64.97.216:6630/saas_micro_progeram?useUnicode=true&characterEncoding=utf8&useSSL=false&&roundRobinLoadBalance=true&&serverTimezone=Asia/Shanghai
db.username = Bf_User
db.password = L$^U4P3^2p1uGF
db.min-idle = 1
db.max-active = 100
db.maxWait = 60000
db.timeBetweenEvictionRunsMillis = 60000
db.minEvictableIdleTimeMillis = 300000
db.validationQuery = SELECT 'x'
db.testWhileIdle = true
db.testOnReturn = false
db.testOnBorrow = true
mybatis.configuration.log-impl = org.apache.ibatis.logging.stdout.StdOutImpl
mybatis.mapper-locations = classpath*:mapper/*.xml,classpath*:mapper/*/*.xml,classpath*:com.freemud.sdk.api.assortment.orderdistributor.mapper/*.xml
mybatis.type-aliases-package = cn.freemud.entities.db,com.freemud.api.assortment.datamanager.entity.db
##### Fegin
ribbon.ReadTimeout = 10000
ribbon.ConnectTimeout = 10000
feign.hystirx.enable = false
#logging.level.org.springframework.security = DEBUG
feign.compression.request.enabled = true
feign.compression.response.enabled = true
feign.compression.request.mime-types = text/xml;application/xml;application/json
feign.compression.request.min-request-size = 2048
feignclient.timeout.threshold = 2000
saas.activityclient.feign.url =
saas.couponclient.feign.url = http://coupon-offline-coupon-service-koderover-dev-coupon.api-ingress.sandload.cn
saas.paymentclient.feign.url = http://115.159.142.32
saas.recommendclient.feign.url = http://115.159.187.179:9966
saas.shortmessageclient.feign.url = http://115.159.142.32:9013
saas.synctxproductclient.feign.url = http://115.159.187.179:8484
saas.couponofflineclient.feign.url =
saas.fmcloudprintclient.feign.url =
saas.customerclient.feign.url = http://open-store-customer-service-koderover-dev-open-store.api-ingress.sandload.cn
saas.customerextendclient.feign.url = https://saastestapi.sandload.cn/customer-extend-service
saas.messagenoticeclient.feign.url =
saas.microsupportclient.feign.url =
saas.openplatformclient.feign.url =
saas.orderclient.feign.url =
saas.promotionactivityclient.feign.url =
saas.shoppingcartclient.feign.url =
saas.storeclient.feign.url =
saas.wechatserviceclient.feign.url = http://wechat-application-service:9230
saas.wechatclient.feign.url = https://api.weixin.qq.com
saas.cardbinclient.feign.url =
saas.coupononlineclient.feign.url = http://coupon-online-coupon-service-koderover-dev-coupon.api-ingress.sandload.cn
saas.bigdataclient.feign.url = http://115.159.187.179:8484
saas.productstockclient.feign.url = http://inventory-service:9985
saas.wechatmchclient.feign.url = https://api.mch.weixin.qq.com
#shoppingcart
saas.newshoppingcartclient.feign.url = http://shopping-cart-application-service:9211/
saas.posbackend.feign.url = http://saastestapi.sandload.cn/pos-backend-service
###cache
goods.cache.second = 10
#\u5C0F\u7A0B\u5E8F\u56DE\u6389\u5730\u5740
saas.reverseNotifyiDcUrl = http://open-store-base-gateway.koderover-dev-open-store:80/order/newPaySuccessCallback
mcCafe.reverseNotifyiDcUrl = http://open-store-order-application-service-koderover-dev-open-store.api-ingress.sandload.cn/order/MCoffee/mcCafePaySuccessCallback
saas.refund.notify.callback = http://open-store-order-application-service-koderover-dev-open-store.api-ingress.sandload.cn/order/refundNotifyCallback
payment.old.connectTimeOut = 10000
payment.old.readTimeOut = 10000
payment.old.baseUrl = http://115.159.142.32
payment.old.appName = paymentCenter-old
payment.new.connectTimeOut = 10000
payment.new.readTimeOut = 10000
payment.new.baseUrl = http://payment-center-api-koderover-dev-payment.api-ingress.sandload.cn
payment.new.appName = paymentCenter-new
####paramers
image.wxapp.appid = wxc0654291837cc4dc
image.wxapp.appsecret = d62de5a2df28afc0a2265ae02f1ea7db
openplatform.assistant.appid = wx17747e8875943c8a
openplatform.assistant.appsecret = bdb4d485fbbd6da422a09c1a91caed29
image.partnerId = 1760
coupon.app.id = d1abb1519d31478cbff31eb2ef8c157c
coupon.partner.id = 2225

member.center.connectTimeOut = 10000
member.center.readTimeOut = 10000
member.center.baseUrl = https://saastestapi.sandload.cn/customer-service
member.center.appName = memberCenter

member.extend.connectTimeOut = 10000
member.extend.readTimeOut = 10000
member.extend.baseUrl = https://saastestapi.sandload.cn/customer-extend-service
member.extend.appName = customerExtend

member.property.connectTimeOut = 10000
member.property.readTimeOut = 10000
member.property.baseUrl = https://saastestapi.sandload.cn/customer-property-service
member.property.appName = memberProperty

#member.score
member.score.connectTimeOut = 10000
member.score.readTimeOut = 10000
member.score.baseUrl = http://saastestapi.sandload.cn/customer-application-service/
member.score.appName = member.score

#new-order
order.connectTimeOut = 10000
order.readTimeOut = 10000
order.baseUrl = http://shared-order-service-shared-order-service-env-dev.api-ingress.sandload.cn/
order.appName = orderCenter

#old-order
old.order.connectTimeOut = 10000
old.order.readTimeOut = 10000
old.order.baseUrl = http://saastestapi.sandload.cn/orderservice
old.order.appName = oldOrderCenter

#stock
stock.connectTimeOut = 10000
stock.readTimeOut = 10000
stock.baseUrl = http://inventory-service:9985
stock.appName = stockCenter

#promotion-C
promotion.connectTimeOut = 10000
promotion.readTimeOut = 10000
promotion.baseUrl = http://promotion-service-koderover-dev-promotion-service.api-ingress.sandload.cn
promotion.appName = promotion-service

#i\u4F1A\u5458
imember.center.connectTimeOut = 10000
imember.center.readTimeOut = 10000
imember.center.baseUrl = https://microtest.sandload.cn/gateway?bf_ver=2&access_token=14a4d41b-1d69-48ce-95ef-b7a56b19336a&redirect_url=http://10.20.10.69:9986
imember.center.appName = iMemberCenter

delivery.center.baseUrl = http://freemud-delivery-gateway-koderover-dev-delivery-service.api-ingress.sandload.cn/DELIVERYCENTER
delivery.mcCafe.feign.url = http://freemud-delivery-service-koderover-dev-delivery-service.api-ingress.sandload.cn
delivery.center.connectTimeOut = 10000
delivery.center.readTimeOut = 10000
delivery.center.appName = deliverycenter-sdk

saas.wx.service.provider.appid = wx8244c7c48c7d45de
saas.wx.service.provider.mchid = 1237482502
saas.wx.service.provider.signkey = XpLnadAT9uV9LZ8jUkmfET9uuwAxpiD3

#store
store.connectTimeOut = 10000
store.readTimeOut = 10000
store.baseUrl = http://saastestapi.sandload.cn/console-api
store.appName = storeCenter

saas.customScoreClient.feign.url = http://saastestapi.sandload.cn/customer-application-service

coupon.online.connectTimeOut = 10000
coupon.online.readTimeOut = 10000
coupon.online.baseUrl = http://OPEN-STORE-ONLINE-COUPON-SERVICE
coupon.online.appName = couponCenter-online

promotionActive.connectTimeOut = 10000
promotionActive.readTimeOut = 10000
promotionActive.baseUrl = http://212.64.38.207:8001
promotionActive.appName = promotion-active

promotion.active.connectTimeOut = 10000
promotion.active.readTimeOut = 10000
promotion.active.baseUrl = http://212.64.38.207:8001
promotion.active.appName = promotion-active

product.connectTimeOut = 10000
product.readTimeOut = 10000
product.baseUrl = http://open-store-productservice-koderover-dev-open-store.api-ingress.sandload.cn
product.appName = productCenter
product.message = errmsg
product.code = errcode
member.connectTimeOut = 10000
member.readTimeOut = 10000
member.baseUrl = https://saastestapi.sandload.cn/customer-service
member.appName = memberCenter
customer.extend.connectTimeOut = 10000
customer.extend.readTimeOut = 10000
customer.extend.baseUrl = http://saastestapi.sandload.cn/customer-extend-service
customer.extend.appName = customerExtendCenter
configuration.openPlatform.orderPush.url =
saas.newcustomerclient.feign.url = http://saastestapi.sandload.cn/customer-application-service
structure.connectTimeOut = 10000
structure.readTimeOut = 10000
structure.baseUrl = http://alloc-koderover-dev-open-store.api-ingress.sandload.cn/
structure.appName = message-center
saas.assistantserviceclient.feign.url = \u5C0F\u52A9\u624B\u670D\u52A1

member.pay.callback.notifyUrl = http://customer-application-service.koderover-dev-open-store.svc:9213/customer/payment/memberPaymentCallback
customer.service.url = https://saastestapi.sandload.cn/customer-service
new.order.query.url = http://129.211.116.178:7888
saas.fmassistantcloudprintclient.feign.url =
customer.property.service.url = https://saastestapi.sandload.cn/customer-property-service
fama.query.url = http://122.51.63.119:80
product.query.url = http://open-store-productservice-koderover-dev-open-store.api-ingress.sandload.cn/
fama.query.appid = d1abb1519d31478cbff31eb2ef8c157c
auth.query.userinfo.url = https://saastestapi.sandload.cn/micro-openplatform
pay.query.url = http://115.159.142.32/api
template.action = AT1213
customer.extend.service.url = https://saastestapi.sandload.cn/customer-extend-service
member.svc.pay.callback.notifyUrl = http://customer-application-service.koderover-dev-open-store.svc:9213/customer/svc/svcPaymentCallBack
saas.bigdatabillclient.feign.url = http://118.89.190.166:9986
upload.qr.code.type = qrcode-test
saas.delivery.mall.callback.notifyUrl = http://order-application-service:9212/order/delivery/mallCallbackUrl
coupon.backstage.connectTimeOut = 10000
coupon.backstage.readTimeOut = 10000
coupon.backstage.baseUrl = http://OPEN-STORE-COUPON-BACKSTAGE-SERVICE
coupon.backstage.appName = couponCenter-backstage


coupon.offline.connectTimeOut = 10000
coupon.offline.readTimeOut = 10000
coupon.offline.baseUrl = http://OPEN-STORE-OFFLINE-COUPON-SERVICE
coupon.offline.appName = coupon-offline


shopping.cart.check.action = checkAllCartGoodsNew
saas.ecologyclient.feign.url = https://saastestapi.sandload.cn/ecology-program-application/ecology/micro-program/


management.endpoint.health.show-details = always
management.endpoints.web.base-path = /
management.endpoints.web.exposure.include = prometheus,info,health
management.metrics.tags.application = ${spring.application.name}

eureka.instance.metadataMap.group = open-store
# \u7248\u672C\u53F7\uFF0C\u6839\u636E\u53D1\u5E03\u8FDB\u884C\u53D8\u5316


member.property.k8s.base-url = http://open-store-customer-property-service.open-store.svc:8107
member.center.k8s.base-url = http://open-store-customer-service.open-store.svc:8106
customer.fmSvc.feign.url = http://fm-svc-admin-svc-env-dev.api-ingress.sandload.cn/
saas.order.delivery.callBackUrl = https://saastestapi.sandload.cn/order-application-service/order/delivery/callbackUrl

customer.payment.new.connectTimeOut = 10000
customer.payment.new.readTimeOut = 10000
customer.payment.new.baseUrl = http://payment-center-api-koderover-dev-payment.api-ingress.sandload.cn
customer.payment.new.appName = paymentCenter-new
customer.fmSvcApp.feign.url = http://fm-svc-app-svc-env-dev.api-ingress.sandload.cn/
saas.customerpropertyservice.feign.url = http://saastestapi.sandload.cn/customer-property-service
saas.storemenuapplicationserviceclient.feign.url = http://store-menu-koderover-dev-open-store.api-ingress.sandload.cn
order.download.readTimeOut = 10000
order.download.baseUrl = http://shared-order-es-shared-order-service-env-dev.api-ingress.sandload.cn/
order.download.appName = orderCenter
order.download.connectTimeOut = 10000
saas.order.invoice.report.partnerIds = 2399
store.delivery.use.old = false


#rocketmq.producer.config
rocketmq.name-server = 212.129.146.110:9876
rocketmq.pollNameServerInteval = 5000
rocketmq.heartbeatBrokerInterval = 5000
rocketmq.persistConsumerOffsetInterval = 5000

rocketmq.producer.accessKey = rocketmquser
rocketmq.producer.secretKey = 719H8q8iVx09bETS
rocketmq.producer.sendMessageTimeout = 10000
#\u5982\u679C\u6D88\u606F\u53D1\u9001\u5931\u8D25\uFF0C\u6700\u5927\u91CD\u8BD5\u6B21\u6570\uFF0C\u540C\u6B65\u53D1\u9001\u6A21\u5F0F\u8D77\u4F5C\u7528
rocketmq.producer.retryTimesWhenSendFailed = 2
#\u5982\u679C\u6D88\u606F\u53D1\u9001\u5931\u8D25\uFF0C\u6700\u5927\u91CD\u8BD5\u6B21\u6570\uFF0C\u5F02\u6B65\u6B65\u53D1\u9001\u6A21\u5F0F\u8D77\u4F5C\u7528
rocketmq.producer.retryTimesWhenSendAsyncFailed = 2
rocketmq.producer.retryNextServer = false
#\u5BA2\u6237\u7AEF\u9650\u5236\u7684\u6D88\u606F\u5927\u5C0F4MB\uFF0C\u8D85\u8FC7\u62A5\u9519\uFF0C\u540C\u65F6\u670D\u52A1\u7AEF\u4E5F\u4F1A\u9650\u5236\uFF0C\u6240\u4EE5\u9700\u8981\u8DDF\u670D\u52A1\u7AEF\u914D\u5408\u4F7F\u7528
rocketmq.producer.maxMessageSize = 4194304
#\u538B\u7F29\u6D88\u606F\u4F53\u7684\u9608\u503C10KB
rocketmq.producer.compressMessageBodyThreshold = 10240
rocketmq.producer.enableMsgTrace = true
rocketmq.delivery.enable = true

saas.ecology.admin.application.feign.url = http://ecology-admin-application-koderover-dev-open-store.api-ingress.sandload.cn/
order.client.feign.url = http://129.211.116.178:7888/

parking.payment.notify.url = http://customer-application-service.koderover-dev-open-store.svc:9213/customer/payment/parkingPaymentCallback
parking.parking.id = 1,2
saas.couponadapterclient.feign.url = http://coupon-api-gateway-koderover-dev-coupon.api-ingress.sandload.cn
shard.sdk.exclude.status.code = 100,300,400,500
list = {1,2,3,4}

macafe.waimai.tag = 30\u5206\u949F\u5FC5\u8FBE\uFF0C\u8D85\u65F6\u8D60\u514D\u8D39\u5496\u5561\u5238
macafe.pick.tag = 100%\u963F\u62C9\u6BD4\u5361\u5496\u5561\u8C46+100%\u9C9C\u716E\u725B\u5976
mccafe.partner.id = 1206
saas.order.delivery.mcCafe.callBackUrl = https://saastestapi.sandload.cn/order-application-service/order/delivery/macCafeCallback
saas.payment-center.feign.url = http://payment-center-api-koderover-dev-payment.api-ingress.sandload.cn/
aas.paymentcenter.application.api.feign.url = http://payment-center-application-api-koderover-dev-payment.api-ingress.sandload.cn
saas.paymentcenter.application.api.feign.url = http://multi-pay-center-api-koderover-dev-payment.api-ingress.sandload.cn
mccafe.universal.coupon.code = 242742645524569
mccafe.pay.card.fee = 1900
mcCafe.withOrderBuy.cardId = MQYK4218C538123385F3AEA52D42AC894CBF
mcCafe.fengniao.storeId = [991,992,993,994]
mcCafe.refund.interval = 300000
mcCafe.quickOrder.interval = 30
mccafe.tableware.skuId = 194133104224374830
mccafe.monthCard.goodsId = 196061855703358215
mccafe.universal.shopId = 1
delivery.support.ordersource = saas,alipay
ngs.virtual.store.idmap = {wxed269cb862f7c398:"10086", 2399:"654321"}
ngs.partnerId.easy = wxed269cb862f7c398
ngs.partnerId.supermarket = wxed269cb862f7c398
saas.order.client.feign.url = http://shared-order-service-shared-order-service-env-dev.api-ingress.sandload.cn
coco.partnerId = 1516
saas.svc.switch.feign.url = http://payment-center-management-koderover-dev-payment.api-ingress.sandload.cn/
saas.favorite.submit.url = https://bigdata.sandload.cn/favorite/submit
saas.autoRefund.client = 12,2
print-feign-response-body-log-shop-cart = false
print-response-body-log-shop-cart = true
saasDeliveryTimeOut = 3
saas.cart.new.shopping.cart = {\n    "type": 1,\n    "grayList": "1864XZ0003,18648899,1864006222",\n    "enable": false\n}
spring.db.druid.driver-class = com.mysql.jdbc.Driver
app.private.secret.to.51zan =
hls.partnerId = 2399
coupon.resttemplate.ribbon.enabled = true

#\u8BA2\u5355\u8C03\u7528\u652F\u4ED8sdk\u65F6\u8D70loadbalance\u65F6\u7684\u914D\u7F6E
pay.order.loadbalance.enable = false
pay.order.loadbalance.url =
pay.backend.payment.loadbalance.enable = false
pay.backend.payment.loadbalance.url =
pay.payment.old.loadbalance.enable = false
pay.payment.old.backend.payment.loadbalance.url =
pay.payment.new.loadbalance.enable = false
pay.payment.new.backend.payment.loadbalance.url = http://payment-center-api
saas.storeitemclient.feign.url =
print-response-body-log-order-application-service = false
print-feign-response-body-log-order-application-service = false
saas.autoRefund.partnerId = 2525
avoid.version.upgrade.config = { "2080": 3, "2399": 5}
print.third.log = true
print-debug-log = true
delivery.center.feign.Url =
print-feign-response-body-log = true
# \u6253\u5F00\u7D27\u6025\u9884\u6848
order.callback.urgent.plan.open = false
# \u7D27\u6025\u9884\u6848 callback\u9501\u5B9A\u5206\u949F
order.callback.urgent.plan.open.lock.minutes = 30
# \u9501\u5B9A\u6D89\u53CA\u8BA2\u5355\u72B6\u6001\u5217\u8868 2=\u4E0B\u5355(\u652F\u4ED8\u6210\u529F);3=\u63A5\u5355;
order.callback.urgent.plan.open.status = 2,3
saas.callbackService.feign.url =
print-response-body-log = true
ssas.integralMall.feign.url = http://integral-mall-biz-service.api-ingress.sandload.cn
